Bug 487770 - rhn-satellite-5-upgrade-scenario-1a.txt step 3
rhn-satellite-5-upgrade-scenario-1a.txt step 3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-02-27 15:25 EST by Preethi Thomas
Modified: 2009-08-27 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-02-27 15:25:54 EST
Description of problem:
2nd part of step 3 in confusing. It needs to be moved to after step 5

Version-Release number of selected component (if applicable):
rhn-upgrade-5.2.0-28.el4

How reproducible:


Steps to Reproduce:
1. install the upgrade package
2. vi /etc/sysconfig/rhn/satellite-upgrade/
3. Step 3 2nd para
  
Actual results:

 Install the rhn-upgrade package on new server, either using (on 4AS)
           up2date -i rhn-upgrade
   or (on 5 Server)
           yum install rhn-upgrade
   or by downloading the rpm manually and running
           rpm -ivh rhn-upgrade-*.rpm


up2date or yum of rhn-upgrade package won't work now as the package is in the satellite channel

Expected results:

This needs to be moved to after step5 (after the install)
Additional info:
Comment 1 Milan Zázrivec 2009-03-03 05:00:55 EST
satellite.git SATELLITE-5.3: 802e2daeed51883ca12448565e01f0665c307b4a
Comment 2 Jeff Browning 2009-06-16 00:34:03 EDT
Verified
Comment 3 Jan Pazdziora 2009-08-13 07:30:33 EDT
The rhn-upgrade-5.3.0.21-1.el5sat.noarch.rpm package has rhn-satellite-5-upgrade-scenario-1a.txt which says

5. Perform the command-line portion of the RHN Satellite Server v5.3
   installation:

      ./install.pl

   Note:
   If you are running your Satellite in disconnected mode, then pass the
   --disconnected option to the install.pl command line:

      ./install.pl --disconnected

   You will see a message advising you to create the satellite administrator
   account. Ignore this message.

   Install the rhn-upgrade package on new server, either using (on 4AS)
           up2date -i rhn-upgrade
   or (on 5 Server)
           yum install rhn-upgrade
   or by downloading the rpm manually and running
           rpm -ivh rhn-upgrade-*.rpm

Marking as RELEASE_PENDING.
Comment 4 Brandon Perkins 2009-08-27 13:38:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.